PATCH: [4.1/4.2/4.3]: Gcc failed to detect Linux linker version

Richard Guenther richard.guenther@gmail.com
Sun Sep 23 17:25:00 GMT 2007


On 9/23/07, H.J. Lu <hjl@lucon.org> wrote:
> Here is my acutal patch as in
>
> http://gcc.gnu.org/ml/gcc-patches/2007-09/msg01207.html
>
> Are you sure you are using the right patch? If yes, can you send me
> your

I got what you committed to the 4.2 branch and that looks different:

Author: hjl
Date: Thu Sep 13 19:12:30 2007
New Revision: 128478

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=128478
Log:
2007-09-13  H.J. Lu  <hongjiu.lu@intel.com>

	PR bootstrap/33418
	* configure.ac (ld_vers): Support Linux linker.
	* configure: Regenerated.

Modified:
    branches/gcc-4_2-branch/gcc/ChangeLog
    branches/gcc-4_2-branch/gcc/configure
    branches/gcc-4_2-branch/gcc/configure.ac

--- branches/gcc-4_2-branch/gcc/configure.ac	2007/09/13 19:02:31	128477
+++ branches/gcc-4_2-branch/gcc/configure.ac	2007/09/13 19:12:30	128478
@@ -2096,6 +2096,7 @@
 	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\)$,\1,p' \
 	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)$,\1,p' \
 	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)$,\1,p' \
+	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)$,\1,p'
\
 	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\)[	 ].*$,\1,p' \
 	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)[	 ].*$,\1,p' \
 	-e 's,^.*[ 	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)[
	].*$,\1,p' \

It looks like the wrong patch was applied?

Richard.



More information about the Gcc-patches mailing list